package com.management.platform.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author 吴涛涛
 * @since 2020-01-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Screenshot extends Model<Screenshot> {

    private static final long serialVersionUID=1L;

    /**
     * 截图表主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 用户id
     */
    @TableField("uid")
    private Integer uid;

    /**
     * 图片url
     */
    @TableField("pic_url")
    private String picUrl;

    /**
     * 截图时间
     */
    @TableField("indate")
    private LocalDateTime indate;

    /**
     * 是否正常 0-正常 1-异常
     */
    @TableField("is_normal")
    private Integer isNormal;

    /**
     * 定时任务是否检测 0-否 1-是
     */
    @TableField("is_handle")
    private Integer isHandle;

    /**
     * 截图时间年月日如：2020-01-01
     */
    @TableField("date_str")
    private String dateStr;

    /**
     * 图片类型（记录不同的方式）编程，查资料，看文档，做设计，美工，运营，看小说，打游戏，听音乐。
     */
    @TableField("pic_type")
    private Integer picType;

    /**
     * 图片文字内容
     */
    @TableField("pic_context")
    private String picContext;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
